import { AuthToken } from './auth-type';
import { AuthBearerVerify } from './auth-type-verify';
export declare class AuthBearer {
    private static self;
    private identityUrl;
    private fnVerify;
    private filter;
    private constructor();
    static init(urlOrfnVerify: string | AuthBearerVerify, serviceIdToken: string): AuthBearer;
    static get instance(): AuthBearer;
    static get isEnabled(): boolean;
    verifyIdToken(authToken: AuthToken, flag: boolean): Promise<AuthToken>;
    private callVerifyIdToken;
    private validateIdToken;
}
