/// <reference types="node" />
import { DomainEventMessage } from 'cm-schema-event';
import { DomainEventCipher } from './domain-event-cipher';
export declare class DomainEventCodec<T, M> {
    private schemaMessage;
    private cipher;
    constructor(cipher?: DomainEventCipher);
    encode(message: DomainEventMessage<T, M>): Promise<Buffer>;
    decode(encodedBuffer: Buffer): Promise<DomainEventMessage<T, M>>;
}
